/*
 * Copyright (c) 2000 Dave Jones <dave@powertweak.com>
 *
 * Can be freely distributed and used under the terms of the GNU GPL.
 */

#include <gtk/gtk.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <locale.h>

#include "config.h"
#include "create-GUI.h"
#include "intl.h"

/* Communication with libpci */
struct pci_access *pacc;
extern void CreateGadgets(GtkWidget *window);
extern void quit_app (GtkWidget *widget, gpointer gdata);
extern void init_configfile(void);

/*
 * main
 *
 * Program begins here
 */

int main (int argc, char *argv[])
{
   GtkWidget *window;
   
   setlocale(LC_ALL, "");
   bindtextdomain(PACKAGE, "/usr/share/locale");
   textdomain(PACKAGE);
   
   gtk_set_locale();
   gtk_init (&argc, &argv);
   window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
   gtk_window_set_title (GTK_WINDOW (window), _("Kernel Tuning"));
   gtk_widget_set_usize (window, WindowWidth, WindowHeight);
   
   gtk_signal_connect (GTK_OBJECT (window), "delete_event",
		       GTK_SIGNAL_FUNC (quit_app), NULL);
   
   init_configfile();
   CreateGadgets(window);
   gtk_widget_show (window);
   
   gtk_main ();
   
   
   exit (0);
}
