/* Copyright 1999-2000 Red Hat, Inc.
 *
 * Florian La Roche <Florian.LaRoche@redhat.de>
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <errno.h>
#include <stdlib.h>
#include <stdio.h>
#include "rhutil.h"

int
Write (int fd, const void *buf, size_t len)
{
	const char *b = buf;
	while (len > 0) {
		ssize_t ret = write (fd, b, len);
		if (ret == -1) {
			/* try again in case of interrupted write() */
			if (errno == EINTR || errno == EAGAIN)
				continue;
			/* report all other/real errors */
			return -1;
		}
		len -= ret;
		b += ret;
	}
	return 0;
}
