#ifndef _INCLUDE_GUARD_STRUCTURE_H_
#define _INCLUDE_GUARD_STRUCTURE_H_

#include <stdlib.h>
#include <stdio.h>
#include "rhutil.h"

struct xml_item;

struct xml_item {
	struct xml_item *Next; /* For the linked list */
	
	char *Menu;
	char *SubMenu;
	char *Tab;
	char *Name;
	char *ConfigName;
	char *Type;			/* "int","string","bool" */
	char *File;			/* /proc filename */
	int  Element;
	char *Description;
	char StrValue[128];
	int  IntValue;
	int  MinValue;
	int  MaxValue;
	char BoolValue;
        char changed;
	GtkWidget *widget;
};



struct menuitem;
/* 

Note: 3rd level of submenus are the tabs 

*/
struct menuitem {
	struct menuitem *Next;		/* For the linked list */
	struct menuitem *Submenus;	/* The submenus */
	struct xml_item *xml_item;	/* The xml_item, only when "Submenus" is NULL */
	char *Name;					/* Visible name of the node */
	int  ActiveCount;			/* Number of actually present /proc items */
};


extern struct menuitem *xmlroot;


void init_xml_subsystem_from_file(char *Filename);
void select_XML_item(struct menuitem *menuitem);
int  calculate_node_usage(struct menuitem *menutiem);
void init_XML_values(rh_list **rl, struct menuitem *menuitem);
void save_XML(rh_list **rl, struct menuitem *menuitem);


#endif /* Include guard */
